
/* Chrysalide - Outil d'analyse de fichiers binaires
 * customizer-int.h - prototypes internes pour la modification paramétrée d'une séquence d'octets
 *
 * Copyright (C) 2023 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ANALYSIS_SCAN_CUSTOMIZER_INT_H
#define _ANALYSIS_SCAN_CUSTOMIZER_INT_H


#include "customizer.h"
#include "modifier-int.h"



/* Encadrement de transformation paramétrée d'une séquence d'octets (instance) */
struct _GScanTokenCustomizer
{
    GScanTokenModifier parent;              /* A laisser en premier        */

    GScanTokenModifier *effective;          /* Modificateur effectif       */

    modifier_arg_t *args;                   /* Paramètres de transformation*/
    size_t count;                           /* Quantité de ces paramètres  */

};

/* Encadrement de transformation paramétrée d'une séquence d'octets (classe) */
struct _GScanTokenCustomizerClass
{
    GScanTokenModifierClass parent;         /* A laisser en premier        */

};


/* Met en place un encadrement de transformation de motifs. */
bool g_scan_token_customizer_create(GScanTokenCustomizer *, const modifier_arg_t *);



#endif  /* _ANALYSIS_SCAN_CUSTOMIZER_INT_H */
